<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>应用中心</title>
  <link rel="stylesheet" href="themes/css/iconfont/iconfont.css">
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
  <style>
    body {
      margin: 0;
      padding: 0;
      /* font-size: 16px; */
    }

    div {
      box-sizing: border-box;
    }

    .home-header {
	  position: fixed;
	  left: 0;
      top: 0;
      width: 100%;
      height: 3rem;
      line-height: 3rem;
      text-align: center;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      background: #2b9ce2;
      color: #fdfdfd;
	  z-index: 2;
    }

    .home-header .left,
    .home-header .right {
      width: 20%;
    }

    .home-header .middle {
      width: 70%;
    }

    /* home-cont */
    .home-cont {
      display: flex;
      flex-wrap: wrap;
      margin-top: 1rem;
      text-align: center;
	  padding-bottom:3.8rem;
	  padding-top:2.3rem;
    }

    .wrap {
      width: 32%;
      padding: 0.4rem;
      border-right: 1px solid #ddd;
      border-bottom: 1px solid #ddd;
      display: flex;
      flex-direction: column;
    }

    .wrap:nth-child(3n + 3) {
      border-right: none;
    }

    .wrap:last-child {
      border-bottom: none;
    }

    .wrap .icon span .img {
      color: #2b9ce2;
	  width:3rem;
	  height:3rem;
      border-radius: 16%;
    }

    .wrap .desc {
      margin: 0.2rem auto;
      color: #aaa;
	  font-size:0.8rem;
    }

    /* home-bottom */
    .home-bottom {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      background: #fdfdfd;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
	  border-top:1px solid #DEDEDE;
    }

    .nav {
      padding: 0.4rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      color: #aaa;
    }

    .nav .icon span {
      font-size: 1.6rem;
    }

    .nav .desc {
      margin-top: 0.4rem;
      font-size: 0.8rem;
    }

    .router-link-exact-active {
      color: #2b9ce2;
    }

    .router-link-exact-active .icon {
      color: #2b9ce2;
    }

    .active {
      color: #2b9ce2;
    }
	.icon-loading1{
		font-size:1.55rem;
	}
  </style>
</head>

<body>
  <div id="app">
    <div class="home-header">
      <div class="left"></div>
      <div class="middle">应用中心</div>
      <div class="right">
        <!--<span class="iconfont icon-loading1" onClick="list();"></span> -->
      </div>
    </div>
    <div class="home-cont">
      <div class="wrap" v-for="item in list" :key="item.id" >
        <div class="icon" @click="javascript:window.location=item.likeurl;">
          <span class="iconfont"><img :src="item.iconUrl" class="img"/></span>
        </div>
        <div class="desc">{{item.desc}}</div>
      </div>
    </div>
	
	
	
    <div class="home-bottom border-top">
      <?php echo mbottom('mana');?>
    </div>
  </div>
  <script>
  list();
  function list(){
    let app = new Vue({
      el: '#app',
      data: {
        list: [
		<?php foreach ($result as $row) {
		$modwhere='';
		$onClick='';
		$linkurl=explode('?',$row['linkurl']); 
		if($row['type']=='menu'){
			if($linkurl[1]!=''){
				$modwhere='&'.$linkurl[1];
			}
			$onClick='../pmobile/index.php?fileurl='.trim($linkurl[0]).$modwhere.'&u=m';
		}else{
			$onClick='plugin.php?mid='.trim($row['mid']);
		}
		?>
          { id: <?php echo $row['mid'];?>, iconUrl: "ico/menu/<?php echo $row['ico'];?>", desc: "<?php echo cut_str($row['title'],10,'');?>",likeurl:"<?php echo $onClick;?>" },
		  <?php }?>
        ]
      }
    });
 }
 function urls(url){
 	alert(url);
 }
  </script>

</body>

</html>