<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>我的</title>
  <link rel="stylesheet" href="themes/css/iconfont/iconfont.css">
  <style>
    body {
      margin: 0;
      padding: 0;
      /* font-size: 16px; */
    }

    div {
      box-sizing: border-box;
    }

    .home-header {
      width: 100%;
      height: 3rem;
      line-height: 3rem;
      text-align: center;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      background: #2b9ce2;
      color: #fdfdfd;
    }

    .home-header .left,
    .home-header .right {
      width: 15%;
    }

    .home-header .middle {
      width: 70%;
    }

    /* mine cont */
    .mine-cont {
      width: 100%;
    }

    .wrap {
      display: flex;
      align-items: center;
      position: relative;
      background: #fff;
	  padding-top:2rem;
	  padding-left:2rem;
	  padding-bottom:1rem;
    }

    .wrap .img {
      width: 5rem;
      height: 5rem;
      border-radius: 50%;
	  /*background-image:url(themes/img/logo.png);*/
	  border:#E6E6E6 1px solid;
    }

    .wrap .cont {
      flex: 1;
      padding: 0.4rem;
    }

    .wrap .cont .name {
      padding: 0.2rem;
    }

    .wrap .cont .name .sub-name {
      color: #aaa;
      padding-left: 8px;
    }

    .wrap .cont .depart,
    .wrap .cont .cell {
      padding: 0.2rem;
    }

    .item-wrap {
      background: #fff;
      padding: 2rem;
    }

    .item {
      padding: 0.8rem;
      border-top: 1px solid #ddd;
      text-indent: 0.4rem;
      display: flex;
      align-items: center;
	  font-size:1.05rem;
    }

    .item:last-child {
      border-bottom: none;
      padding: 0;
    }

    .item .icon {
      color: #aaa;
	  font-size:1.05rem;
    }

    .item .txt {
      padding-left: 8px;
    }

    .item .btn {
      display: block;
      width: 100%;
      background: #f40;
      border-radius: 0.2rem;
	  font-size:1.05rem;
      padding: 0.4rem;
      color: #fff;
      margin-top: 0.4rem;
      border: none;
      outline: none;
    }
	.btns {
      display: block;
      width: 90%;
	  
      background:#D0D0D0;
      border-radius: 0.2rem;
	  font-size:1.05rem;
      padding: 0.4rem;
      color: #666;
      margin-top: 0.4rem;
      border: none;
      outline: none;
	  margin-left:0.95rem;
    }

    .dark-green {
      background: #026e00;
    }

    .green {
      background: #43853d;
    }

    .para {
      text-align: center;
      font-size: 0.32rem;
      margin-top: 0.4rem;
      color: #aaa;
    }

    a,
    a:link {
      color: #f40;
    }

    a:hover {
      background: #f40;
      color: #fff;
    }


    /* home-bottom */
    .home-bottom {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      background: #fdfdfd;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
	  border-top:1px solid #DEDEDE;
    }

    .nav {
      padding: 0.4rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      color: #aaa;
    }

    .nav .icon span {
      font-size: 1.6rem;
    }

    .nav .desc {
      margin-top: 0.4rem;
      font-size: 0.8rem;
    }

    .router-link-exact-active {
      color: #2b9ce2;
    }

    .router-link-exact-active .icon {
      color: #2b9ce2;
    }

    .active {
      color: #2b9ce2;
    }
  </style>
</head>

<body>
  <div id="app">
    <div class="home-header">
      <div class="left"></div>
      <div class="middle">我的</div>
      <div class="right"></div>
    </div>
    <div class="mine-cont">
      <div class="wrap">
        <div class="">
		<?php if(!$user['pic']){?>
		<img src="themes/img/logo.png" class="img"/>
		<?php }else{?>
		<img src="../<?php echo $user['pic'];?>" class="img"/>
		<?php }?>
		</div>
        <div class="cont">
          <div class="name">
            <span><?php echo $user['name'];?></span>
            <span class="sub-name">(<?php echo get_postname($user['positionid']);?>)</span>
          </div>
          <div class="depart"><?php echo get_realdepaname($user['departmentid']);?></div>
          <div class="cell">OA账号: <?php echo $user['username'];?></div>
        </div>
      </div>
      <div class="item-wrap">
        <div class="item" onClick="javascript:window.location='index.php?ac=my&do=user'">
          <span class="iconfont icon-wodeziliao icon"></span>
          <span class="txt">我的资料</span>
        </div>
        <div class="item" onClick="javascript:window.location='index.php?ac=my&do=pass'">
          <span class="iconfont icon-tubiao203 icon"></span>
          <span class="txt">密码设置</span>
        </div>
        <div class="item" onClick="javascript:window.location='index.php?ac=my&do=web'">
          <span class="iconfont icon-shoucang icon"></span>
          <span class="txt">我的收藏</span>
        </div>
        <div class="item" style="padding-top:3rem;">
          <button class="btn" onClick="javascript:window.location='login.php?do=logout'">安全退出</button>
        </div>
		

      </div>

     
    </div>
    <div class="home-bottom border-top">
      <?php echo mbottom('my');?>
    </div>
  </div>
  

</body>

</html>