<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>消息</title>
  <link rel="stylesheet" href="themes/css/iconfont/iconfont.css">
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
  <style>
    body {
      margin: 0;
      padding: 0;
      /* font-size: 16px; */
    }

    div {
      box-sizing: border-box;
    }

    .message-header {
      position: fixed;
      width: 100%;
      height: 3rem;
      line-height: 3rem;
      text-align: center;
      left: 0;
      top: 0;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      background: #2b9ce2;
      color: #fdfdfd;
      z-index: 2;
    }

    .message-header .left,
    .message-header .right {
      width: 15%;
    }

    .message-header .middle {
      width: 70%;
    }

    /* message cont */
    .message-cont {
		padding-left:0.4rem;
		padding-right:0.4rem;
		padding-bottom:1rem;
		padding-top:3rem;
    }

    .wrap {
      display: flex;
      align-items: center;
      padding: 0.4rem 0;
      position: relative;
      border-bottom: 1px solid rgb(199, 198, 198);
    }

    .wrap:last-child {
      margin-bottom: 3rem;
    }

    .wrap .img {
      width: 3rem;
      height: 3rem;
      background: #0dd;
      border-radius: 16%;
    }

    .wrap .cont {
      flex: 1;
      padding: 0.2rem;
    }

    .wrap .cont .title {
      padding: 0.2rem;
    }

    .wrap .cont .desc {
      padding: 0.2rem;
      color: #aaa;
    }

    .wrap .icon {
      padding: 0.2rem;
      text-align: center;
    }


    /* home-bottom */
    .home-bottom {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      background: #fdfdfd;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
	  border-top:1px solid #DEDEDE;
    }

    .nav {
      padding: 0.4rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      color: #aaa;
    }

    .nav .icon span {
      font-size: 1.6rem;
    }

    .nav .desc {
      margin-top: 0.4rem;
      font-size: 0.8rem;
    }

    .router-link-exact-active {
      color: #2b9ce2;
    }

    .router-link-exact-active .icon {
      color: #2b9ce2;
    }

    .active {
      color: #2b9ce2;
    }
	.icon-muiiconrwrite{
		font-size:1.55rem;
	}
  </style>
</head>

<body>
  <div id="app">
    <div class="message-header">
      <div class="left"></div>
      <div class="middle">消息</div>
      <div class="right">
        <span class="iconfont icon-muiiconrwrite"></span>
      </div>
    </div>
    <div class="message-cont">
      <div class="wrap" v-for="item in msgList" :key="item.id">
        <div class="img"></div>
        <div class="cont">
          <div class="title">{{item.title}}</div>
          <div class="desc">{{item.desc}}</div>
        </div>
        <div class="icon">
          <div class="time">{{item.time}}</div>
        </div>
      </div>
    </div>
    <div class="home-bottom border-top">
      <?php echo mbottom('sms');?>
    </div>
  </div>
  <script>
    let app = new Vue({
      el: '#app',
      data: {
        msgList: [
          {
            id: 1001,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1002,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1003,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1004,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1005,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1006,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1007,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1008,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1009,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          },
          {
            id: 1010,
            imgUrl: "",
            title: "glpla 54414",
            desc: "lorem asd asdf",
            time: "2019-09-10"
          }
        ]
      },
      methods: {

      },
    })
  </script>

</body>

</html>