<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta name="format-detection"  content="telephone=no">
  <title>内部通讯录</title>
  <link rel="stylesheet" href="themes/css/iconfont/iconfont.css">
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
  <style>
    body {
      margin: 0;
      padding: 0;
      /* font-size: 16px; */
    }

    div {
      box-sizing: border-box;
    }

    .address-header {
      position: fixed;
      width: 100%;
      height: 3rem;
      line-height: 3rem;
      text-align: center;
      left: 0;
      top: 0;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      background: #2b9ce2;
      color: #fff;
      z-index: 2;
    }

    .address-header .left,
    .address-header .right {
      width: 20%;
    }

    .address-header .middle {
      width: 40%;
    }

    /* address cont */
    .link {
      width: 100%;
      text-align: center;
      display: flex;
      justify-content: center;
      color: #fff;
	  padding-top:0.8rem;
	  padding-bottom:0.5rem;
    }

    .link .left,
    .link .right {
      width: 30%;
	  height:1.8rem;
	  line-height:1.8rem;
      border-radius: 0.4rem;
    }

    .topactive {
      /*background: #fff;
      color: #2b9ce2;*/
	  border:1px solid #fff;
    }

    /* address inner */
    .address-inner {
		padding-left:0.4rem;
		padding-right:0.4rem;
		padding-bottom:2rem;
		padding-top:3rem;
	
    }

    .wrap {
      display: flex;
      align-items: center;
      padding: 0.4rem 0;
      position: relative;
      border-bottom: 1px solid #ddd;
    }

    .wrap:last-child {
      margin-bottom: 3rem;
    }

    .wrap .img {
      width: 3rem;
      height: 3rem;
	  border:#DEDEDE 1px solid;
      border-radius: 16%;
    }
	

    .wrap .cont {
      flex: 1;
      padding: 0.2rem;
    }

    .wrap .cont .title {
      padding: 0.2rem;
    }

    .wrap .cont .desc {
      padding: 0.2rem;
      color: #aaa;
    }

    .wrap .icon {
      padding: 0.2rem;
      text-align: center;
    }

    /* address outter */
    .address-outter {
      padding: 0.2rem;
      margin-bottom: 3rem;
    }

    .outter-wrap {
      border-bottom: 1px solid #ddd;
    }

    .outter-wrap:last-child {
      border-bottom: none;
    }

    .outter-wrap .item {
      padding: 0.4rem;
    }

    /* home-bottom */
    .home-bottom {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      background: #fdfdfd;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
	  border-top:1px solid #DEDEDE;
    }

    .nav {
      padding: 0.4rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      color: #aaa;
    }

    .nav .icon span {
      font-size: 1.6rem;
    }

    .nav .desc {
      margin-top: 0.4rem;
      font-size: 0.8rem;
    }

    .router-link-exact-active {
      color: #2b9ce2;
    }

    .router-link-exact-active .icon {
      color: #2b9ce2;
    }

    .active {
      color: #2b9ce2;
    }
  </style>
</head>

<body>
  <div id="app">
    <div class="address-header">
		 
		  <!--<div class="link">
			<div class="left" @click="onSel" :class="{topactive:isCur}">内部</div>
			<div class="right" @click="onSel" :class="{topactive:!isCur}">外部</div>
		  </div> -->
		 <div class="left"></div>
      <div class="middle">内部通讯录</div>
      <div class="right">
        <!--<span class="iconfont icon-muiiconrwrite"></span> -->
      </div> 
		
    </div>
    
    <div class="address-inner" v-show='isCur'>
      <div class="wrap" v-for="item in msgList" :key="item.id">
        <div><img :src="item.imgUrl" class="img"/></div>
        <div class="cont">
          <div class="title">{{item.title}}</div>
          <div class="desc">{{item.desc}}</div>
        </div>
        <div class="icon">
          <div class="time"><a :href="'tel:'+item.time">{{item.time}}</a></div>
        </div>
      </div>
    </div>
    
    <div class="home-bottom border-top">
      <?php echo mbottom('user');?>
    </div>
  </div>
  <script>
    let app = new Vue({
      el: '#app',
      data: {
        isCur: true,
        msgList: [
		<?php foreach ($result as $row) {?>
          {
            id: <?php echo $row['id'];?>,
			<?php if($row['pic']){?>
            imgUrl: "../<?php echo $row['pic'];?>",
			<?php }else{?>
			imgUrl: "themes/img/logo.png",
			<?php }?>
            title: "<?php echo $row['name'];?> (<?php echo get_postname($row['positionid']);?>)",
            desc: "<?php echo get_realdepaname($row['departmentid']);?>",
            time: "<?php echo $row['phone'];?>"
          },
          <?php }?>
        ]
      },
      methods: {
        onSel() {
          this.isCur = !this.isCur;
        }
      },
    })
  </script>

</body>

</html>