<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>我的信息</title>
  <link rel="stylesheet" href="themes/css/iconfont/iconfont.css">
  <style>
    body {
      margin: 0;
      padding: 0;
      /* font-size: 16px; */
    }

    div {
      box-sizing: border-box;
    }

    .home-header {
	  position: fixed;
	  left: 0;
      top: 0;
      width: 100%;
      height: 3rem;
      line-height: 3rem;
      text-align: center;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-around;
      background: #2b9ce2;
      color: #fdfdfd;
	  z-index: 2;
    }

    .home-header .left,
    .home-header .right {
      width: 15%;
    }

    .home-header .middle {
      width: 70%;
    }

    /* mine cont */
    .mine-cont {
      width: 100%;
	  padding-top:2rem;
	  padding-bottom:3rem;
    }

    .wrap {
      display: flex;
      align-items: center;
      position: relative;
      background: #fff;
	  text-align:center;
	  width:100%;
	  padding-top: 2rem;
	  padding-left: 7rem;
    }

    .wrap .img {
      width: 6rem;
      height: 6rem;
      border-radius: 50%;
	  /*background-image:url(themes/img/logo.png);*/
	  border:#E6E6E6 1px solid;
    }

    .wrap .cont {
      flex: 1;
      padding: 0.4rem;
    }

    .wrap .cont .name {
      padding: 0.2rem;
    }

    .wrap .cont .name .sub-name {
      color: #aaa;
      padding-left: 8px;
    }

    .wrap .cont .depart,
    .wrap .cont .cell {
      padding: 0.2rem;
    }

    .item-wrap {
      background: #fff;
      padding: 1rem;
    }

    .item {
      padding: 0.8rem;
      border-top: 1px solid #ddd;
      text-indent: 0.4rem;
      display: flex;
      align-items: center;
	  font-size:1.05rem;
    }

    .item:last-child {
      border-bottom: none;
      padding: 0;
    }

    .item .icon {
      color: #aaa;
	  font-size:1.05rem;
	  width:6rem;
    }

    .item .txt {
      padding-left: 8px;
    }

    .item .btn {
      display: block;
      width: 100%;
      background: #f40;
      border-radius: 0.2rem;
	  font-size:1.05rem;
      padding: 0.4rem;
      color: #fff;
      margin-top: 0.4rem;
      border: none;
      outline: none;
    }

    .dark-green {
      background: #026e00;
    }

    .green {
      background: #43853d;
    }

    .para {
      text-align: center;
      font-size: 0.32rem;
      margin-top: 0.4rem;
      color: #aaa;
    }

    a,
    a:link {
      color: #f40;
    }

    a:hover {
      background: #f40;
      color: #fff;
    }


    /* home-bottom */
    .home-bottom {
      position: fixed;
      left: 0;
      bottom: 0;
      width: 100%;
      background: #fdfdfd;
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
	  border-top:1px solid #DEDEDE;
    }

    .nav {
      padding: 0.4rem;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      overflow: hidden;
      color: #aaa;
    }

    .nav .icon span {
      font-size: 1.6rem;
    }

    .nav .desc {
      margin-top: 0.4rem;
      font-size: 0.8rem;
    }

    .router-link-exact-active {
      color: #2b9ce2;
    }

    .router-link-exact-active .icon {
      color: #2b9ce2;
    }

    .active {
      color: #2b9ce2;
    }
	.btns {
      display: block;
      width: 100%;
      background: #1A83C1;
      border-radius: 0.2rem;
	  font-size:0.89rem;
      padding: 0.3rem;
      color: #fff;
      border: none;
      outline: none;
	  margin-left:1rem;
    }
  </style>
</head>

<body>
  <div id="app">
    <div class="home-header">
      <div class="left"><button class="btns" onClick="javascript:window.location='index.php?ac=my'">返回</button></div>
      <div class="middle">我的信息</div>
      <div class="right"></div>
    </div>
    <div class="mine-cont">
      <div class="wrap">
		<?php if(!$user['pic']){?>
		<img src="themes/img/logo.png" class="img"/>
		<?php }else{?>
		<img src="../<?php echo $user['pic'];?>" class="img"/>
		<?php }?>
      </div>
      <div class="item-wrap">
	  
	  
        <div class="item">
          <span class="iconfont icon">用户名</span>
          <span class="txt"><?php echo $user['username'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">姓名</span>
          <span class="txt"><?php echo $user['name'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">所属部门</span>
          <span class="txt"><?php echo get_realdepaname($user['departmentid']);?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">所属岗位</span>
          <span class="txt"><?php echo get_postname($user['positionid']);?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">性别</span>
          <span class="txt"><?php echo $user['sex'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">出生日期</span>
          <span class="txt"><?php echo $user['birthdate'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">手机</span>
          <span class="txt"><?php echo $user['phone'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">联系电话</span>
          <span class="txt"><?php echo $user['tel'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">传真</span>
          <span class="txt"><?php echo $user['fax'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">电子邮件</span>
          <span class="txt"><?php echo $user['email'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">qq/msn</span>
          <span class="txt"><?php echo $user['qq'];?></span>
        </div>
		<div class="item">
          <span class="iconfont icon">联系地址</span>
          <span class="txt"><?php echo $user['address'];?></span>
        </div>
        
		
		
		
		
        <div class="item">
        </div>


      </div>

     
    </div>
    <div class="home-bottom border-top">
      <?php echo mbottom('my');?>
    </div>
  </div>
  

</body>

</html>